Bug 1480386 (CVE-2017-1000117)

Summary: CVE-2017-1000117 git: Command injection via malicious ssh URLs
Product: [Other] Security Response Reporter: Trevor Jay <tjay>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aileenc, alazarot, avibelli, chazlett, cperry, drusso, etirelli, gvarsami, hhorak, jbalunas, jcoleman, jmrazek, jolee, jorton, jshepherd, kconner, kverlaen, ldimaggi, lpetrovi, mbaluch, mwinkler, nwallace, pstodulk, rrajasek, rwagner, rzhang, tcunning, tkirby, tmz, vhalbert, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20170810,reported=20170810,source=internet,cvss3=6.3/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L,cwe=CWE-20,rhel-7/git=affected,rhscl-2/rh-git29-git=affected,rhel-6/git=affected,amq-6/fabric8=notaffected,bpms-6/jgit=notaffected,brms-6/jgit=notaffected,jdv-6/jgit=notaffected,fsw-6/jgit=notaffected,fuse-6/camel=notaffected,rhmap-4/fh-scm=affected
Fixed In Version: git 2.7.6, git 2.8.6, git 2.9.5, git 2.10.4, git 2.11.3, git 2.12.4, git 2.13.5, git 2.14.1 Doc Type: If docs needed, set a value
Doc Text:
A shell command injection flaw related to the handling of "ssh" URLs has been discovered in Git. An attacker could use this flaw to execute shell commands with the privileges of the user running the Git client, for example, when performing a "clone" action on a malicious repository or a legitimate repository containing a malicious commit.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:20:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1480387, 1480388, 1480504, 1480505, 1480634, 1480635    
Bug Blocks: 1480393, 1481834    

Description Trevor Jay 2017-08-10 23:54:57 UTC
A flaw was found in the way the Git client handles "ssh://" URLs. A maliciously crafted "ssh://" URL would cause Git clients to run an arbitrary shell command. Such a URL could be generated by a malicious server, by a malicious users committing to an honest server (to attack another user of that server's repositories), or by a proxy server.

Comment 6 Stefan Cornelius 2017-08-11 12:17:51 UTC
External References:

https://lkml.org/lkml/2017/8/10/757
http://blog.recurity-labs.com/2017-08-10/scm-vulns

Comment 10 Todd Zullinger 2017-08-12 16:24:10 UTC
Updates for Fedora 25 and 26 were pushed while this bug was being created.  I don't see any Fedora tracker bugs.  For Fedora users who search by the CVE and want to find the updates for testing, here are the links:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-b1b3ae6666
https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ba7572cfd

Comment 11 Fedora Update System 2017-08-13 20:55:17 UTC
git-2.13.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-08-14 00:55:38 UTC
git-2.9.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2017-08-16 23:04:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2484 https://access.redhat.com/errata/RHSA-2017:2484

Comment 14 errata-xmlrpc 2017-08-16 23:27:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2485 https://access.redhat.com/errata/RHSA-2017:2485

Comment 15 errata-xmlrpc 2017-08-17 21:56:58 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2017:2491 https://access.redhat.com/errata/RHSA-2017:2491

Comment 17 errata-xmlrpc 2017-09-18 06:33:43 UTC
This issue has been addressed in the following products:

  Red Hat Mobile Application Platform 4.5

Via RHSA-2017:2675 https://access.redhat.com/errata/RHSA-2017:2675

Comment 18 errata-xmlrpc 2017-09-18 09:01:45 UTC
This issue has been addressed in the following products:

  Red Hat Mobile Application Platform 4.5

Via RHSA-2017:2674 https://access.redhat.com/errata/RHSA-2017:2674